## xarray-sentinel 0.9.3+ds

=== debian/changelog ===
xarray-sentinel (0.9.3+ds-4) unstable; urgency=medium

  * Skip tests requiring large memory.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 18 Aug 2022 07:26:29 +0000

xarray-sentinel (0.9.3+ds-3) unstable; urgency=medium

  * Add missing dependency on python3-pytest in d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Aug 2022 06:29:34 +0000

xarray-sentinel (0.9.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Aug 2022 13:55:44 +0200

xarray-sentinel (0.9.3+ds-1) unstable; urgency=low

  * Initial release (Closes: #1016757).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 20:09:50 +0000

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=xarray-sentinel
export PYBUILD_TEST_ARGS=-k "\
not test_mosaic_slc_iw \
and not test_to_group_netcdf \
and not test_open_dataset_zip_data \
and not test_to_group_zarr" \
$(CURDIR)/tests

export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM:+ds=)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info
	$(RM) xarray_sentinel/version.py

## xarray-sentinel 0.9.5+ds

=== Makefile ===
PROJECT := xarray-sentinel
CONDA := conda
CONDAFLAGS :=
COV_REPORT := html

default: qa test type-check

qa:
	pre-commit run --all-files

test:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT)

doc-test:
	python -m pytest -vv --doctest-glob='*.md' README.md

type-check:
	python -m mypy --strict .

conda-env-update:
	$(CONDA) env update $(CONDAFLAGS) -f environment.yml

docker-build:
	docker build -t $(PROJECT) .

docker-run:
	docker run --rm -ti -v $(PWD):/srv $(PROJECT)

template-update:
	pre-commit run --all-files cruft -c .pre-commit-config-weekly.yaml

## xarray-sentinel 0.9.5%2Bds

=== debian/control ===
Source: xarray-sentinel
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dask,
               python3-fsspec (>= 2021.4.0),
               python3-netcdf4 <!nocheck>,
               python3-numpy,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-rasterio (>= 1.3.0),
               python3-rioxarray,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely <!nocheck>,
               python3-xarray (>= 0.18.0),
               python3-xmlschema (>= 1.9.0),
               python3-zarr <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-sentinel
Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-sentinel.git
Homepage: https://github.com/bopen/xarray-sentinel

Package: python3-xarray-sentinel
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-dask,
            python3-netcdf4,
            python3-shapely,
            python3-zarr
Description: Easily access SAR data products of the Copernicus Sentinel-1 satellite mission
 Easily access and explore the SAR data products of the Copernicus Sentinel-1
 satellite mission in Python.
 xarray-sentinel is a Python library and Xarray backend with the following
 functionalities:
 .
   * supports the following data products as distributed by ESA:
     - Sentinel-1 Ground Range Detected (GRD):
       * Stripmap (SM)
       * Interferometric Wide Swath (IW)
       * Extra Wide Swath (EW)
     - Sentinel-1 Single Look Complex (SLC) SM/IW/EW
   * creates ready-to-use Xarray `Dataset`s that map the data
     lazily and efficiently in terms of both memory usage and disk/network
     access
   * reads all SAR imagery data: GRD images, SLC swaths and SLC bursts
   * reads several metadata elements:
     satellite orbit and attitude, ground control points, radiometric
     calibration look up tables, Doppler centroid estimation and more
   * reads uncompressed and compressed SAFE data products on the local
     computer or on a network via fsspec
   * supports larger-than-memory and distributed data access via Dask and
     rioxarray / rasterio / GDAL
   * provides a few helpers for simple operations involving metadata like
     cropping individual bursts out of IW SLC swaths, applying radiometric
     calibration polynomials, converting slant to ground range for GRD
     products and computing geospatial metadata.

## xarray-sentinel 0.9.5+ds

=== debian/changelog ===
xarray-sentinel (0.9.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0001-Shebang.patch and 0002-Package-data.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Nov 2022 13:27:45 +0000

=== debian/control ===
--- 
+++ 
@@ -4,36 +4,34 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
-Build-Depends: debhelper-compat (= 13),
+Testsuite: autopkgtest-pkg-python
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               dh-sequence-numpy3,
-               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
                python3-fsspec (>= 2021.4.0),
-               python3-netcdf4 <!nocheck>,
+               python3-netcdf4,
                python3-numpy,
                python3-pandas,
-               python3-pytest <!nocheck>,
+               python3-pytest,
                python3-rasterio (>= 1.3.0),
                python3-rioxarray,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-shapely <!nocheck>,
+               python3-shapely,
                python3-xarray (>= 0.18.0),
                python3-xmlschema (>= 1.9.0),
-               python3-zarr <!nocheck>
-Standards-Version: 4.7.2
+               python3-zarr
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-sentinel
 Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-sentinel.git
 Homepage: https://github.com/bopen/xarray-sentinel
 
 Package: python3-xarray-sentinel
 Architecture: all
-Depends: ${python3:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-dask,
             python3-netcdf4,
             python3-shapely,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #! /usr/bin/make -f
-
+export DH_VERBOSE=1
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=xarray-sentinel

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-netcdf4, python3-shapely, python3-xmlschema, python3-pytest

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/bopen/xarray-sentinel/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xarray-sentinel 0.9.6~rc1+ds

=== Makefile ===
PROJECT := xarray-sentinel
CONDA := conda
CONDAFLAGS :=
COV_REPORT := html

default: qa unit-tests type-check

qa:
	pre-commit run --all-files

unit-tests:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT)

type-check:
	python -m mypy --strict .

conda-env-update:
	$(CONDA) install -y -c conda-forge conda-merge
	$(CONDA) run conda-merge environment.yml ci/environment-ci.yml > ci/combined-environment-ci.yml
	$(CONDA) env update $(CONDAFLAGS) -f ci/combined-environment-ci.yml

docker-build:
	docker build -t $(PROJECT) .

docker-run:
	docker run --rm -ti -v $(PWD):/srv $(PROJECT)

template-update:
	pre-commit run --all-files cruft -c .pre-commit-config-cruft.yaml

docs-build:
	cp README.md docs/. && cd docs && rm -fr _api && make clean && make html

# DO NOT EDIT ABOVE THIS LINE, ADD COMMANDS BELOW

doc-tests:
	python -m pytest -vv --doctest-glob="*.md" --doctest-glob="*.rst" README.md

integration-tests:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT) --log-cli-level=INFO tests/integration*.py

=== debian/changelog ===
xarray-sentinel (0.9.6~rc1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1114444).
  * Update dates in d/copyright.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.
    - Update dependencies.
  * debian/patches:
    - Drop 0002-Fix-compatibility-with-xarray-v2025.03.01.patch,
      applied upstream.
    - Refresh remaining patches.
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Sep 2025 14:58:58 +0000

xarray-sentinel (0.9.5+ds-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * debian/patches:
    - Rename test_get_fs_path.patch into 0001-test_get_fs_path.patch.
    - New 0002-Fix-compatibility-with-xarray-v2025.03.01.patch
      (Closes: 1101633).
  * Update deates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Apr 2025 15:01:32 +0000

xarray-sentinel (0.9.5+ds-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * Improve lintian overrides.
  * Switch to autopkgtest-pkg-pybuild.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Dec 2023 07:04:07 +0000

xarray-sentinel (0.9.5+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Add patch to fix FTBFS due to test failure.
    (closes: #1044052)

  [ Antonio Valentino ]
  * d/control:
    - Use <!nocheck> marker.
  * New d/python3-xarray-sentinel.lintian-overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 17:39:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,38 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
-               python3-fsspec (>= 2021.4.0),
-               python3-netcdf4,
+               python3-fsspec (>= 2023.1.0),
+               python3-netcdf4 <!nocheck>,
                python3-numpy,
                python3-pandas,
-               python3-pytest,
-               python3-rasterio (>= 1.3.0),
+               python3-pytest <!nocheck>,
+               python3-rasterio,
                python3-rioxarray,
+               python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-shapely,
-               python3-xarray (>= 0.18.0),
-               python3-xmlschema (>= 1.9.0),
-               python3-zarr
-Standards-Version: 4.6.1
+               python3-shapely <!nocheck>,
+               python3-stac-validator <!nocheck>,
+               python3-xarray,
+               python3-xmlschema,
+               python3-zarr <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-sentinel
 Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-sentinel.git
 Homepage: https://github.com/bopen/xarray-sentinel
 
 Package: python3-xarray-sentinel
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends}
 Recommends: python3-dask,
             python3-netcdf4,
             python3-shapely,

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=xarray-sentinel
export PYBUILD_AFTER_BUILD=cp -R $(CURDIR)/xarray_sentinel/resources {build_dir}/xarray_sentinel
export PYBUILD_TEST_ARGS=\
-k "not test_mosaic_slc_iw \
and not test_to_group_netcdf \
and not test_open_dataset_zip_data \
and not test_to_group_zarr \
and not test_make_sentinel1_stac_item" \
$(CURDIR)/tests

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM:+ds=) | sed 's/~//')

%:
	dh $@ --buildsystem=pybuild
